using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;
using System.Threading;

namespace StopwatchDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            #if DEBUG
                MinimizeBox = false;
            #else       
                MinimizeBox = true;
            #endif
        }

        private void GetOperationTime()
        {
            Stopwatch sw = new Stopwatch();
            
            // начинаем измерять время выполнения кода
            sw.Start();

            // Выполняем длительную операцию
            Thread.Sleep(2000);

            // конец измерения
            sw.Stop();

            // получаем результат
            long result = sw.ElapsedMilliseconds;
            
            // Выводим на экран
            MessageBox.Show(result.ToString());
        }

        private void butGetOpTime_Click(object sender, EventArgs e)
        {
            GetOperationTime();
        }

    }
}